net.sourceforge.pmd.lang

## Interface TokenManager

All Known Implementing Classes:
  CppTokenManager, JavaTokenManager, JspTokenManager

    public interface TokenManager

Common interface for interacting with parser Token Managers.

### Method Summary

Methods
`Object` `getNextToken()`
`void` `setFileName(String fileName)`

### Method Detail

#### getNextToken

    Object getNextToken()

#### setFileName

    void setFileName(String fileName)